Move a page.

Use this endpoint to move a page. The body of the request should be empty.
The query parameters should include the 'sourceId', 'sourceRev', 'targetPosition', the optional 'targetId' and 'targetRev'.
sourceId and sourceRev relate to the page to be moved.
targetId and targetRev relate to the destination parent page. These are optional parameters, if not set it means the source page is to be moved to the site root.
The targetPosition field is required, it is an integer value starting at 0. It cannot exceed the number of child pages of the destination parent page.
If the move is successful, then the response body JSON object will contain the id and rev of the updated destination parent page (targetId), except in the case of moving to the site root then the response body is an empty JSON object.
A refresh of the page hierarchy is recommended after moving a page to a different parent page.

User roles: admin, manager, editor

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required

The ID of the site.

Query Params
uuid
required

The ID of the source page to move.

string
required

the 'rev' value for the page to be moved.

uuid

The ID of the target page.

string

the 'rev' value for the target page.

integer
required

The new position on the target page for the move.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json